## camel-filter-search

camel-filter-search

## Functions

CamelMimeMessage * | (*CamelFilterSearchGetMessageFunc) ()
gint | camel_filter_search_match ()

## Description

## Functions

### CamelFilterSearchGetMessageFunc ()

    CamelMimeMessage *
    (*CamelFilterSearchGetMessageFunc) (gpointer data,
                                        GError **error);

### camel_filter_search_match ()

    gint
    camel_filter_search_match (struct _CamelSession *session,
                               CamelFilterSearchGetMessageFunc get_message,
                               gpointer data,
                               CamelMessageInfo *info,
                               const gchar *source,
                               const gchar *expression,
                               GError **error);

#### Parameters

get_message | function to retrieve the message if necessary |
data | data for above |
error | return location for a GError, or `NULL` |

#### Returns

one of CAMEL_SEARCH_MATCHED, CAMEL_SEARCH_NOMATCH, or CAMEL_SEARCH_ERROR.

## Types and Values